Last Comment Bug 711139 - MOZ_VERIFY_MAR_SIGNATURE build option for verifying MAR signatures
: MOZ_VERIFY_MAR_SIGNATURE build option for verifying MAR signatures
Status: RESOLVED FIXED
[qa-]
:
Product: Toolkit
Classification: Components
Component: Application Update (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla12
Assigned To: Brian R. Bondy [:bbondy]
:
: Robert Strong [:rstrong] (use needinfo to contact me)
Mentors:
Depends on: 699700 704285 728935
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 10:02 PST by Brian R. Bondy [:bbondy]
Modified: 2012-03-29 12:43 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed


Attachments
Patch v1. (2.99 KB, patch)
2012-01-12 07:41 PST, Brian R. Bondy [:bbondy]
robert.strong.bugs: review-
Details | Diff | Splinter Review
Patch v2. (3.84 KB, patch)
2012-01-18 17:46 PST, Brian R. Bondy [:bbondy]
robert.strong.bugs: review+
khuey: superreview+
Details | Diff | Splinter Review

Description Brian R. Bondy [:bbondy] 2011-12-15 10:02:27 PST
Add a new build option MOZ_VERIFY_MAR_SIGNATURE which is set in confvars.sh on Windows.

This option should be off by default but can be opted in with --enable-verify-mar-signature in .mozconfig.
Comment 1 Brian R. Bondy [:bbondy] 2012-01-12 07:41:23 PST
Created attachment 588027 [details] [diff] [review]
Patch v1.

I'll do a sr from khuey if this gets an r+.
Comment 2 Robert Strong [:rstrong] (use needinfo to contact me) 2012-01-18 16:46:51 PST
Comment on attachment 588027 [details] [diff] [review]
Patch v1.

What about /config/autoconf.mk.in?
Comment 3 Brian R. Bondy [:bbondy] 2012-01-18 17:46:56 PST
Created attachment 589738 [details] [diff] [review]
Patch v2.

Nice catch, thx.
Comment 4 Brian R. Bondy [:bbondy] 2012-02-24 13:39:25 PST
http://hg.mozilla.org/mozilla-central/rev/ef967515537b
Comment 5 Brian R. Bondy [:bbondy] 2012-02-29 18:19:43 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/18840d884c97

Note You need to log in before you can comment on or make changes to this bug.